> ## Documentation Index
> Fetch the complete documentation index at: https://docs.halth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create payment method

> Create a new payment method



## OpenAPI

````yaml https://api.halth.com/v1/api-yaml post /v1/payment-methods
openapi: 3.0.0
info:
  title: HaltH API
  description: The API for the HaltH platform business services
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.halth.com
    description: Production
  - url: https://api.stg.halth.com
    description: Staging
security: []
tags: []
paths:
  /v1/payment-methods:
    post:
      tags:
        - Payment Method
      summary: Create payment method
      description: Create a new payment method
      operationId: PaymentMethodController_create
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentMethodCreateParams'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentMethod'
components:
  schemas:
    PaymentMethodCreateParams:
      type: object
      properties:
        customerId:
          type: string
        confirmationTokenId:
          type: string
        paymentMethodId:
          type: string
    PaymentMethod:
      type: object
      properties:
        id:
          type: string
        brand:
          type: string
        last4:
          type: string
        customerId:
          type: string
      required:
        - id

````